CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [options] [path to library folder ...]

Inicie o servidor de conteúdos Calibre. O servidor de conteúdos do Calibre expõe a sua biblioteca Calibre na Internet. Você pode especificar o caminho para a pasta da biblioteca com os argumentos para calibre-server. Se não especificar qualquer caminho, serão utilizadas todas as bibliotecas que o programa principal Calibre conheça.

Sempre que passar argumentos para o calibre-server que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

--access-log
    Caminho para o ficheiro de registo de acessos. Este registo contém informações sobre os clientes que se ligam e fazem pedidos ao servidor. Por predefinição, nenhum registo de acesso é efetuado.

--ajax-timeout
    O tempo em segundos para aguardar por uma resposta do servidor ao efetuar pedidos.

--auth-mode
    Escolher o tipo de autenticação a usar. Define o modo de autenticação HTTP usado pelo servidor. Definir como "basic" se usar o servidor atrás de um proxy SSL. Senão, deixe como "auto", que usará "basic" se o SSL estiver configurado, ou "digest" se não estiver configurado.

--auto-reload
    Recarregar o servidor automaticamente quando houver mudanças no código fonte. Útil para desenvolvimento. Você também deve especificar um valor pequeno para o tempo limite de encerramento do servidor.

--ban-after
    Número de erros de autenticação até ser banido. Número de erros de autenticação até que um endereço de IP seja banido

--ban-for
    Banir endereços IP que apresentem erros de autenticação continuados. Banir temporariamente o acesso a endereços IP que tenham falhas de autenticação repetidas no número de minutos especificado. Útil para evitar tentativas de adivinhar senhas. Se definido como zero, nenhum banimento será efetuado.

--book-list-mode
    Escolher o modo de listagem de livros predefinido. Define o modo de lista de livros predefinida que será utilizada para novos utilizadores. Utilizadores individuais podem sobrepor-se ao modo predefinido nas suas próprias configurações. O predefinido é utilizar uma grelha de capas.

--compress-min-size
    Tamanho mínimo para que a resposta utilize compressão de dados (em bytes).

--custom-list-template
    Caminho para um ficheiro JSON contendo um modelo para o modo de lista de livros personalizados. A maneira mais fácil de criar esse ficheiro de modelo é ir a Preferências-> Partilha na rede-> Modelo para lista de livros, criar o modelo e exportá-lo.

--daemonize
    Executar processo em segundo plano como um Daemon (apenas para Linux).

--displayed-fields
    Restringir exibição de campos de metadados definidos pelo utilizador. Lista separada por vírgulas de campos de metadados personalizados que serão exibidos pelo servidor de conteúdos nas saídas de /opds e /mobile. Se especificar esta opção, qualquer campo que não esteja na lista não será exibido. Por exemplo: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Pré-alocação de encaixe, por exemplo, com ativação de encaixe systemd. Por predefinição, a opção esta ativada.

--enable-auth, --disable-auth
    Autenticação por senha para aceder ao servidor. Por predefinição, o servidor não tem restrições, permitindo que qualquer pessoa lhe possa aceder. Pode restringir o acesso a utilizadores predefinidos com esta opção. Por predefinição, a opção esta desativada.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Substituir pela interface detetada automaticamente. Se. por algum motivo, o servidor não conseguir associar a interface especificada na opção listen_on, ele tentará detetar uma interface que se ligue ao mundo exterior e associar-se a ela. Por predefinição, a opção esta ativada.

--enable-local-write, --disable-local-write
    Permitir que ligações locais não autenticadas realizem alterações. Normalmente, se não ativar a autenticação o servidor operará no modo de apenas leitura, para não permitir que utilizadores anónimos façam alterações nas suas bibliotecas Calibre. Essa opção permite que qualquer pessoa que se ligue no mesmo computador em que o servidor está a ser executado possa fazer alterações. Isto é útil se deseja executar o servidor sem autenticação, mas ainda usar o calibredb para fazer alterações nas suas bibliotecas Calibre. Note que ativar esta opção significa que qualquer programa em execução no computador também pode fazer alterações nas suas bibliotecas Calibre. Por predefinição, a opção esta desativada.

--enable-log-not-found, --disable-log-not-found
    Registar pedidos HTTP 404 (Não encontrado). Por predefinição, o servidor regista todos os pedidos HTTP relativos a recursos que não são encontrados. Isto pode gerar muitos registos indesejados se o seu servidor for alvo de Bots. Utilize esta opção para o desativar. Por predefinição, a opção esta ativada.

--enable-use-bonjour, --disable-use-bonjour
    Divulgar sinal OPDS através de BonJour. Anuncia os sinais OPDS através do serviço BonJour, de modo que as aplicações de leitura baseadas em OPDS possam detetar e ligar-se ao servidor automaticamente. Por predefinição, a opção esta ativada.

--enable-use-sendfile, --disable-use-sendfile
    Cópia zero na transferência de ficheiros para melhor desempenho. Isto usará transferências zero-copy no Kernel ao enviar ficheiros pela rede, aumentado a performance. Entretanto, pode causar transferências corrompidas de ficheiros em alguns sistemas de ficheiros com problemas. Desative se verificar transferências de corrompidas. Por predefinição, a opção esta ativada.

--help, -h
    mostrar esta mensagem de ajuda e sair

--ignored-fields
    Campos de metadados personalizados a ignorar. Lista separada por vírgulas de campos de metadados personalizados que não serão exibidos pelo servidor de conteúdos nas saídas de /opds e /mobile. Por exemplo: my_rating,my_tags

--listen-on
    A interface sob a qual escutar ligações. Por predefinição, irá escutar em todas as interfaces IPv4 disponíveis. Pode mudar isto para, por exemplo, '127.0.0.1' e assim escutar apenas as ligações da máquina local, ou alterar para '::' e escutar todas as ligações de entrada IPv6 e IPv4.

--log
    Caminho para o ficheiro de registos do servidor. Este ficheiro contém informações e erros do servidor, não contém informações de acesso. Por predefinição é escrito no stdout.

--manage-users
    Gere a base de dados de utilizadores com permissão para ligar a este servidor. Pode usar de modo automático ao adicionar um --. Ver calibre-server --manage-users -- help para detalhes. Veja também a opção --userdb.

--max-header-line-size
    Tamanho máximo de cabeçalho HTTP individual (em KB).

--max-job-time
    Tempo máximo para processos de trabalho. Quantidade máxima de tempo permitida para a execução dos processos de trabalho (em minutos). Defina para zero para não ter limite.

--max-jobs
    Número máximo de processos de trabalho. As aplicações de processos de trabalho são iniciadas conforme necessário e usadas em grandes trabalhos, como preparar um livro para visualização, adicionar livros, converter etc. Normalmente, o número máx. de tais processos é baseado no número de núcleos de CPU. Você pode controlar esse número nesta configuração.

--max-log-size
    Tamanho máx. do ficheiro log. (em MB). Tamanho máximo dos ficheiros de diário gerado pelo servidor. Quando o registo diário se tornar maior que este tamanho, será feita uma rotação automática. Defina para zero para desativar rotação de diário.

--max-opds-items
    Número máximo de livros no sinal OPDS. Número máximo de livros que o servidor fornece por cada sinal de aquisição de OPDS único.

--max-opds-ungrouped-items
    Número máximo de itens não agrupados em sinais OPDS. Agrupar itens em categorias tais como autores/etiquetas pela primeira lera quando existir mais que este número de itens. Escolha 0 para desativar.

--max-request-body-size
    Tamanho máximo para ficheiros a carregar para o servidor (em MB).

--num-per-page
    Número de livros a mostrar numa só pagina. O número de livros a mostrar numa só pagina no navegador.

--pidfile
    Escreva o processo com o PID para o ficheiro especificado

--port
    A porta onde escutar ligações.

--search-the-net-urls
    Caminho para um ficheiro JSON contendo URLs para a funcionalidade "Pesquisar na internet". A maneira mais fácil de criar esse ficheiro é ir a Preferências-> Partilhar na rede->Pesquisar internet no Calibre, criar os URL e exportá-los.

--shutdown-timeout
    Número de segundos de espera para um encerrar limpo.

--ssl-certfile
    Caminho para o ficheiro do certificado SSL.

--ssl-keyfile
    Caminho para o ficheiro da chave privada SSL.

--timeout
    O tempo em segundos após o qual uma ligação inativa será encerrada.

--trusted-ips
    Permitir que ligações não autenticadas, mas de endereços IP específicos, realizem alterações. Normalmente, se não ativar a autenticação o servidor operará no modo de apenas leitura, para não permitir que utilizadores anónimos façam alterações nas suas bibliotecas Calibre. Essa opção permite que qualquer pessoa que se ligue a partir do endereço IP especificado possa fazer alterações. Deve ser uma lista separada por vírgulas de endereços ou especificações de redes. Isto é útil se deseja executar o servidor sem autenticação, mas ainda usar o calibredb para fazer alterações nas suas bibliotecas Calibre. Note que ativar esta opção significa que qualquer pessoa que se ligue a partir dos endereços de IP especificados pode fazer alterações nas suas bibliotecas Calibre.

--url-prefix
    Prefixo a anteceder todos os URL. Útil se você deseja rodar este servidor por trás de um proxy reverso. Por exemplo, use /calibre como prefixo de URL

--userdb
    Caminho para a base de dados de utilizadores a usar para autenticação. A base de dados é um ficheiro SQLite. Para o criar use --manage-users. Pode ler mais sobre como gerir utilizadores em: https://manual.calibre-ebook.com/pt/server.html#managing-user-accounts-from-the-command-line-only

--version
    mostrar o número da versão do programa e sair

--worker-count
    Número máximo de processos de trabalho para executar pedidos.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal